org.apache.lucene.queryParser.core.nodes

## Interface QueryNode

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    FieldableNode
  All Known Implementing Classes:
    AndQueryNode, AnyQueryNode, BooleanModifierNode, BooleanQueryNode, BoostQueryNode, DeletedQueryNode, FieldQueryNode, FuzzyQueryNode, GroupQueryNode, MatchAllDocsQueryNode, MatchNoDocsQueryNode, ModifierQueryNode, MultiPhraseQueryNode, NoTokenFoundQueryNode, OpaqueQueryNode, OrQueryNode, ParametricQueryNode, ParametricRangeQueryNode, PathQueryNode, PhraseSlopQueryNode, PrefixWildcardQueryNode, ProximityQueryNode, QueryNodeImpl, QuotedFieldQueryNode, RangeQueryNode, SlopQueryNode, StandardBooleanQueryNode, TokenizedPhraseQueryNode, WildcardQueryNode

      public interface QueryNode
      extends java.io.Serializable

  A `QueryNode` is a interface implemented by all nodes on a QueryNode tree.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.util.List<QueryNode> children)`
    `void` | `add(QueryNode child)`
    `QueryNode` | `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
    `boolean` | `containsTag(java.lang.CharSequence tagName)` verify if a node contains a tag
    `java.util.List<QueryNode>` | `getChildren()` get Children nodes
    `QueryNode` | `getParent()`
    `java.lang.Object` | `getTag(java.lang.CharSequence tagName)`
    `java.util.Map<java.lang.CharSequence,java.lang.Object>` | `getTags()`
    `boolean` | `isLeaf()` verify if a node is a Leaf node
    `void` | `set(java.util.List<QueryNode> children)`
    `void` | `setTag(java.lang.CharSequence tagName, java.lang.Object value)` Associate the specified value with the specified tagName.
    `java.lang.CharSequence` | `toQueryString(EscapeQuerySyntax escapeSyntaxParser)` convert to a query string understood by the query parser
    `java.lang.String` | `toString()` for printing
    `void` | `unsetTag(java.lang.CharSequence tagName)` Unset a tag.

- - ### Method Detail

    - #### toQueryString

          java.lang.CharSequence toQueryString(EscapeQuerySyntax escapeSyntaxParser)

      convert to a query string understood by the query parser

    - #### toString

          java.lang.String toString()

      for printing
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getChildren

          java.util.List<QueryNode> getChildren()

      get Children nodes

    - #### isLeaf

          boolean isLeaf()

      verify if a node is a Leaf node

    - #### containsTag

          boolean containsTag(java.lang.CharSequence tagName)

      verify if a node contains a tag

    - #### getTag

          java.lang.Object getTag(java.lang.CharSequence tagName)

      Parameters:
        `tagName` -
      Returns:
        of stored on under that tag name

    - #### getParent

          QueryNode getParent()

    - #### cloneTree

          QueryNode cloneTree()
                       throws java.lang.CloneNotSupportedException

      Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
      Returns:
        the cloned tree
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### add

          void add(QueryNode child)

    - #### add

          void add(java.util.List<QueryNode> children)

    - #### set

          void set(java.util.List<QueryNode> children)

    - #### setTag

          void setTag(java.lang.CharSequence tagName,
                      java.lang.Object value)

      Associate the specified value with the specified tagName. If the tagName already exists, the old value is replaced. The tagName and value cannot be null. tagName will be converted to lowercase.
      Parameters:
        `tagName` -
        `value` -

    - #### unsetTag

          void unsetTag(java.lang.CharSequence tagName)

      Unset a tag. tagName will be converted to lowercase.
      Parameters:
        `tagName` -

    - #### getTags

          java.util.Map<java.lang.CharSequence,java.lang.Object> getTags()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.